# SQLite3ServerPlugin.h File Reference

Contains code to call sqlite3_exec over a network that does not support shared file handles. More...

`#include "RakNetTypes.h"`
`#include "Export.h"`
`#include "PluginInterface2.h"`
`#include "PacketPriority.h"`
`#include "SocketIncludes.h"`
`#include "DS_Multilist.h"`
`#include "RakString.h"`
`#include "sqlite3.h"`
`#include "SQLite3PluginCommon.h"`
`#include "ThreadPool.h"`

## Classes
class | RakNet::SQLite3ServerPlugin
| Exec SQLLite commands over the network. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Defines
#define | SQLite3_STATEMENT_EXECUTE_THREADED
| Control if SQLite3 statements execute in a thread.

## Detailed Description

Contains code to call sqlite3_exec over a network that does not support shared file handles.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.